class BaseProductType:
    def __init__(self, product_type_id):
        self.id = product_type_id

    @property
    def name(self):
        return "Base Product Type"

    @property
    def id(self):
        return ""

    def is_creatable(self):
        '''Returns True if a product can be created right now using this type, or False if it cannot. Should return True if the module is correctly configured, etc.'''
        return False

    def is_orderable(self, product):
        '''Returns True if this product can be ordered right now. Should return True if the product is in stock, etc.'''
        return True

    def orderable_by_user(self, product):
        '''Returns a tuple of boolean values (user is allowed to order this, override by administrator allowed). First boolean is True if the user can order this product. If the first boolean is False, the second boolean indicates if an administrator can provide the product manually nonetheless.'''
        return self.is_orderable()

    def product_setup_view(self):
        '''Returns a view in which a new product can be configured, or None if no configuration is possible/necessary.'''
        return None

    def service_setup_view(self, product):
        '''Returns a view in which a new service can be configured, or None if no configuration is possible/necessary.'''
        return True
