from core.classes.cron import Cronjob
from core.helpers.auth import clear_login_log, clear_ratelimits
from core.helpers.cron import clear_cron_log

CRONDEFINITIONS = []
CRONFUNCTIONS = {}

### Demonstration Cronjob

def debug_job():
    return "Test"

debug_cron = Cronjob("core.debug_job", "* * * * *")

# CRONFUNCTIONS["core.debug_job"] = debug_job
# CRONDEFINITIONS.append(debug_cron)

### Remove old entries from the login log

loginlog_cron = Cronjob("core.clear_login_log", "* * * * *")

CRONFUNCTIONS["core.clear_login_log"] = clear_login_log
CRONDEFINITIONS.append(loginlog_cron)

### Remove old entries from the rate limit table

ratelimit_cron = Cronjob("core.clear_ratelimits", "* * * * *")

CRONFUNCTIONS["core.clear_ratelimits"] = clear_ratelimits
CRONDEFINITIONS.append(ratelimit_cron)

### Remove old entries from the cron execution log

cronlog_cron = Cronjob("core.clear_cron_log", "* * * * *")

CRONFUNCTIONS["core.clear_cron_log"] = clear_cron_log
CRONDEFINITIONS.append(cronlog_cron)