import importlib

from django.conf import settings

providers = {}

for module in settings.EXPEPHALON_MODULES:
    try:
        moo = importlib.import_module(f"{module}.otp")
        for name, provider in moo.OTPPROVIDERS.items():
            if provider.is_active:
                providers[name] = provider
    except (AttributeError, ModuleNotFoundError, RuntimeError):
        continue
