import importlib

from django.conf import settings

producttypes = {}

for module in ["core"] + settings.EXPEPHALON_MODULES:
    try:
        mop = importlib.import_module(f"{module}.products")
        for name, ptype in mop.PRODUCTTYPES:
            if name in producttypes.keys:
                raise ValueError(f"Error in {module}: Product type of name {name} already exists!")
            producttypes[name] = ptype
    except (AttributeError, ModuleNotFoundError):
        continue