from django import template

from core.models.profiles import AdminProfile

register = template.Library()

@register.simple_tag(takes_context=True)
def admin_has_permissions(context, permissions):
    user = context["request"].user
    user_permissions = user.profile.permissions

    if isinstance(permissions, str):
        permissions = permissions.split(",")

    if isinstance(user.profile, AdminProfile):
        for permission in permissions:
            if not permission in user_permissions:
                return False
        return True
    return False
