from django.urls import path

from core.views.auth import LoginView, OTPSelectorView, LogoutView, OTPValidatorView, PWResetView, PWRequestView, RateLimitedView

urlpatterns = []

urlpatterns.append(path('login/', LoginView.as_view(), name="login"))
urlpatterns.append(path('login/otp/select/', OTPSelectorView.as_view(), name="otpselector"))
urlpatterns.append(path('login/otp/validate/', OTPValidatorView.as_view(), name="otpvalidator"))
urlpatterns.append(path('logout/', LogoutView.as_view(), name="logout"))
urlpatterns.append(path('login/reset/', PWRequestView.as_view(), name="pwrequest"))
urlpatterns.append(path('login/reset/<pk>/', PWResetView.as_view(), name="pwreset"))
urlpatterns.append(path('login/ratelimit/', RateLimitedView.as_view(), name="ratelimited"))