from django.urls import path

from core.views.backend import DashboardView, BackendNotImplementedView
from core.urls.backend.admins import urlpatterns as adminpatterns
from core.urls.backend.clients import urlpatterns as clientpatterns
from core.urls.backend.dbsettings import urlpatterns as dbsettingspatterns
from core.urls.backend.brands import urlpatterns as brandpatterns
from core.urls.backend.firewall import urlpatterns as firewallpatterns
from core.urls.backend.invoices import urlpatterns as invoicepatterns
from core.urls.backend.clientgroups import urlpatterns as clientgrouppatterns
from core.urls.backend.currencies import urlpatterns as currencypatterns
from core.urls.backend.quotes import urlpatterns as quotepatterns

urlpatterns = adminpatterns + clientpatterns + dbsettingspatterns + brandpatterns + firewallpatterns + invoicepatterns + clientgrouppatterns + currencypatterns + quotepatterns

urlpatterns.append(path('admin/', DashboardView.as_view(), name="dashboard"))
urlpatterns.append(path('admin/oops/', BackendNotImplementedView.as_view(), name="backendni"))